package com.lz.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.sys.entity.Resource;

public interface ResourceService extends IService<Resource> {



	Resource selectResourceById(Long id);


	Long insertResource(Resource resource);


	int updateResourceById(Resource resource);


	int updateCoverResourceById(Resource resource);


	int deleteResourceById(Long id);

	Resource selectResourceByTypeAndSecType(String type,String secType);


}